org.apache.tools.ant.taskdefs.condition

## Class And

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.taskdefs.condition.ConditionBase
    - - org.apache.tools.ant.taskdefs.condition.And

All Implemented Interfaces:
  java.lang.Cloneable, Condition

    public class And
    extends ConditionBase
    implements Condition

<and> condition container.

Iterates over all conditions and returns false as soon as one evaluates to false.

Since:
  Ant 1.4

### Field Summary

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`And()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `eval()` Is this condition true?

### Methods inherited from class org.apache.tools.ant.taskdefs.condition.ConditionBase

`add, addAnd, addAvailable, addChecksum, addContains, addEquals, addFilesMatch, addHttp, addIsFalse, addIsFileSelected, addIsReference, addIsSet, addIsTrue, addNot, addOr, addOs, addSocket, addUptodate, countConditions, getConditions, getTaskName, setTaskName`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### And

    public And()

### Method Detail

#### eval

    public boolean eval()
                 throws BuildException

Description copied from interface: `Condition`
Is this condition true?

Specified by:
  `eval` in interface `Condition`
Returns:
  true if all the contained conditions evaluates to true
Throws:
  `BuildException` - if an error occurs